# Command: file

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    file - opens file for reading or writing

Synopsis:

    string1 string2 file -> ostreamtype
      -> istreamtype

Examples:

      (sli-init.sli) (r) file type == -> istreamtype

Description:

      file is the PostScript operator used to open files
      for reading or writing. If opening is successful the
      appropriate streamtype is returned. If opening fails
      /FileOpenError is raised.
      If the file name contains path information "/", the
      operator tries to open the specified file directly,
      otherwise if the file should be opened for reading
      the operator uses the searchpath to locate the file.

Parameters:

      string1 is the file name, string2 is a modifier (r) or
      (w) which specifies if the file should be opened for
      reading or writing.

Remarks:

    commented April 12, 1999
      Hehl, Diesmann
      SeeAlso:  close, ofstream, ifstream, searchifstream

References:

      compare RedBook 2nd ed. page 414

Author:

    Gewaltig, Diesmann

FirstVersion:

    1995

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/lib/sli/sli-init.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative